:root {
    --main-color: #B08D57;
    --secondary-color: #2B2B2B;
    --text-color: #F0E5E5;
    --background-color: #1F1F1F;
    --gradient-color: linear-gradient(180deg,rgba(0, 0, 0, 0) 0%, rgba(31, 31, 31, 0.555) 75%, rgba(31, 31, 31, 1) 100%);
    --font-family: "Montserrat", sans-serif;
}

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: var(--font-family);
    scroll-behavior: smooth;
    transition: .3s all ease-in-out;
}

a{
    text-decoration: none;
    color: var(--text-color);
}

body{
    background-color: var(--background-color);
    color: var(--text-color);
}

.colored{
    font-weight: 600;
    color: var(--main-color);
}

.h1{
    font-size: 40px;
    line-height: 45px;
    text-transform: uppercase;
    font-weight: 500;
}

.h2{
    font-size: 24px;
    line-height: 35px;
    text-transform: uppercase;
    font-weight: 500;
}

.container{
    width: 80%;
    margin: 0 auto;
    max-width: 1280px;
}

.page{
    display: flex;
    flex-direction: column;
    gap: 150px;
    position: relative;
    padding-bottom: 100px;
    overflow: hidden;
}

.hero .dark-gradient{
  transform: rotateZ(180deg);
  opacity: .8;
}

.no-rotate{
  transform: rotateZ(0deg) !important;
  opacity: 1 !important;
}

.dark-gradient{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--gradient-color);
    z-index: 1;
}

.hero{
    position: relative;
    min-height: 900px;
    border-radius: 0 0 40px 40px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-image: url(../images/freepik__-__97792_11zon.webp);
    background-position: 70% 40%;
    background-size: cover;
}

.hero-modular{
    position: relative;
    min-height: 900px;
    border-radius: 0 0 40px 40px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-image: url(../images/freepik__enhance__75671_11zon.webp);
    background-position: bottom;
    background-size: cover;
}

.hero>*{
    z-index: 2;
}

.hero__villa-page{
  border-radius: 0;
  background-image: none;
  min-height: auto;
  height: auto;
}

  .blur{
    backdrop-filter: blur(8px);
  }

  .white-btn{
    background: var(--text-color);
    border: 1px solid var(--text-color);
    justify-content: space-between;
  }
.header{
  /* background: var(--background-color); */
  /* box-shadow: 0px 20px 40px #0000002c; */
}

.split{
  /* opacity: 0; */
}

.header>.container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 0;
}

.header__logo>a{
    display: flex;
    align-items: center;
    gap: 20px;
    text-decoration: none;
    color: var(--main-color);
    text-transform: uppercase;
    font-size: 36px;
    line-height: 45px;
    font-weight: 600;
}

.header__logo>a>img{
    width: 75px;
}

.btn{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    padding: 15px 30px;
    border-radius: 40px;
    cursor: pointer;
    font-size: 20px;
    font-weight: 600;
}

.btn>img{
    width: 20px;
}

.outlined-btn{
    border: 1px solid var(--text-color);
}

.hero__content{
    position: relative;
}

.hero__content>.container{
    display: flex;
    flex-direction: column;
    gap: 32px;
    padding-bottom: 50px;
}

.hero__content-bottom{
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    gap: 32px;
}

.w-small{
    width: 25%;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.w-wide{
    width: 75%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.hero__top{
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.main{
    padding-bottom: 5%;
}

.hero__arrow{
    position: absolute;
    left: 50%;
    bottom: -15%;
}

.sub__container{
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.about__content{
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    gap: 32px;
}

.about__content-item{
    display: flex;
    flex-direction: column;
    gap: 32px;
    width: 100%;
    height: 100%;
}

.about__img{
    width: 100%;
    height: 580px;
    border-radius: 40px;
    background-color: var(--main-color);
}

.text-container{
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    gap: 32px;
}

.paragraph{
    font-size: 20px;
    line-height: 35px;
    color: var(--text-color);
}

.about__text{
    padding: 40px 30px;
    background: var(--secondary-color);
    border-radius: 40px;
    width: 100%;
}

.about__house{
    background: var(--main-color);
}

.p__black{
    color: var(--background-color);
    font-weight: 600;
}

.offer__container{
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.offer__container-item{
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    gap: 32px;
    width: 100%;
}

.offer__container-item>*{
    width: 100%;
}

.offer__item-text{
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.offer__item-img{
    background: #000;
    border-radius: 40px;
    background-size: cover;
    background-position: center;
}

.swiper {
    width: 100%;
    height: 100%;
    overflow: visible !important;
  }

  .result__item{
    display: flex;
    flex-direction: column;
    gap: 32px;
    width: 100%;
  }

  .result__item-img{
    background: #000;
    background-size: cover;
    background-position: center;
    border-radius: 40px;
    width: 100%;
    height: 500px;
  }

  .how__container{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 32px;
  }

  .swiper-wrapper{
    align-items: stretch;
  }

  .swiper-slide{
    height: auto !important;
  }

  .how__container-item{
    padding: 80px 30px;
    border-radius: 40px;
    background: var(--secondary-color);
    height: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }

  .how__container-item>img{
    position: absolute;
    bottom: 40px;
    right: 40px;
    opacity: 50%;
  }

  .how__container-img{
    background: #000;
    background-size: cover;
    background-position: center;
    border-radius: 40px;
    width: 100%;
  }

  .why-us__item{
    display: flex;
    flex-direction: column;
    gap: 10px;
    height: 100%;
  }
  .why-us__item>h2{
    padding-left: 20px;
  }

  .steps__container{
    display: flex;
    flex-direction: column;
    gap: 40px;
  }

  .step{
    border-bottom: 1px solid var(--main-color);
    padding-bottom: 40px;
    display: flex;
    justify-content: space-between;
  }

  .step__left, .step__right{
    display: flex;
    justify-content: space-between;
  }

  .step__left{
    width: 30%;
  }
  .step__right{
    width: 60%;
  } 

  .wide{
    width: 50%;
  }

  .small{
    width: 30%;
  }

  .primary-btn{
    background: var(--main-color);
  }

  ul{
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }

  .img-house{
    background-size: cover;
    background-image: url(../images/346t4.webp);
    background-position: center;
  }

  .offer__img-1{
    background-image: url(../images/08989.webp);
  }

  .offer__img-2{
    background-image: url(../images/7687890.webp);
  }

  .how__img-1{
    background-image: url(../images/freepik__expand__7314_11zon.webp);
  }

  .how__img-2{
    background-image: url(../images/photo_2025-05-03_15-41-_11zon.webp);
  }

  .how__img-3{
    background-image: url(../images/freepik__expand__7304_11zon.webp);
  }

  .how__img-4{
    background-image: url(../images/freepik__expand__7318_11zon.webp);
  }

  .how__img-5{
    background-image: url(../images/freepik__expand__7315_11zon.webp);
  }

  .how__img-6{
    background-image: url(../images/freepik__expand__7305_11zon.webp);
  }

  .dark-grad{
    z-index: 1;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(180deg, #1F1F1F 0%, rgba(31, 31, 31, 0.589) 50%, rgba(31, 31, 31, 0.397) 70%, rgba(31, 31, 31, 0.534) 80%, rgb(31, 31, 31) 100%);
  }

  .img-aprtmnt{
    background-image: url(../images/16233094.webp);
    background-size: cover;
    background-position: center;
  }

  .result__img-1{
    background-image: url(../images/76888.webp);
  }
  .result__img-2{
    background-image: url(../images/photo_1644.webp);
  }
  .result__img-3{
    background-image: url(../images/6778876.webp);
  }
  .result__img-4{
    background-image: url(../images/iStock_996232320.webp);
  }
  .result__img-5{
    background-image: url(../images/sip-panel-montov.webp);
  }
  .result__img-6{
    background-image: url(../images/167uyi.webp);
  }
  .result__img-7{
    background-image: url(../images/1afeb88.webp);
  }
  .result__img-8{
    background-image: url(../images/uridishes.webp);
  }

  .desc{
    display: none;
  }

  .desc-sm {
    display: none;
  }  
  
  .inv-link{
    display: flex;
    flex-direction: column;
    gap: 20px;
  }
  .house__full-img{
    width: 100%;
    min-height: 620px;
    border-radius: 40px;
    background-image: url(../images/freepik__enhance__99229_11zon.webp);
    background-size: cover;
    background-position: bottom;
    display: flex;
    align-items: end;
    padding: 80px;
  }

  .house .about__text{
    text-align: center;
  }

  .white-outlined-btn{
    background: transparent;
    border: 1px solid var(--text-color);
    color: var(--text-color);
    justify-content: space-between;
  }
    .white-btn img{
      flex-shrink: 0;
    }
  .white-btn:hover{
    background: transparent;
    border: 1px solid var(--text-color);
  }

  .white-btn:hover>.p__black{
    color: var(--text-color);
  }
  .circle{
    background: var(--background-color);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 38px;
    height: 38px;
    border-radius: 100%;
    flex-shrink: 0;
  }

  .catalog-slide{
    display: flex !important;
    flex-direction: column;
    gap: 30px;
  }

  .catalog__item{
    background: var(--secondary-color);
    border-radius: 40px;
    display: flex;
    flex-direction: column;
    padding-bottom: 30px;
    gap: 20px;
    box-shadow: 0px 10px 10px #2b2b2b5b;
    height: 100%;
  }

  .catalog__item p{
    font-size: 16px;
    flex-shrink: 0;
  }

  .catalog__item-image{
    border-radius: 20px;
    width: 100%;
    height: 400px;
    background-size: cover;
    background-position: center;
    position: relative;
    overflow: hidden;
  }

  .swiper-pagination-bullet{
    width: 15px !important;
    height: 15px !important;
    margin: 0 8px !important;
    background: var(--text-color) !important;
    opacity: 0.7 !important;
  }
  
  .swiper-pagination-bullet-active{
    background: var(--main-color) !important;
    opacity: 1 !important;
  }

  .catalog__item-text{
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 0 20px;
  }

  .catalog__text-head{
    font-size: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
  }

  .catalog__text-body{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
  }

  .body__item{
    display: flex;
    align-items: center;
    gap: 10px;
  }
  .padding{
    margin: 0 10px;
  }
  .num{
    font-size: 20px;
    font-weight: 600;
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--background-color);
    border-radius: 100%;
  }

  .box{
    display: flex;
    align-items: stretch;
    gap: 32px;
  }

  .box__item{
    display: flex;
    flex-direction: column;
    gap: 30px;
    align-items: stretch;
    height: auto;
  }

  .box__item-item{
    background: var(--secondary-color);
    border-radius: 40px;
    padding: 30px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    height: 100%;
  }

  .footer .primary-btn{
    width: fit-content;
  }

  .imageSwiper .swiper-slide{
    background-size: cover;
    background-position: center;
  }

  .cii-1{
    background-image: url(../images/freepik__-__92919_11zon.webp);
  }
  .cii-2{
    background-image: url(../images/freepik__-__92920_11zon.webp);
  }
  .cii-3{
    background-image: url(../images/freepik__-__92921_11zon.webp);
  }

  .cii-12{
    background-image: url(../images/photo_2025-05-03_15-41-3_11zon.webp);
  }
  .cii-22{
    background-image: url(../images/photo_2025-05-03_15-41-_11zon.webp);
  }
  .cii-32{
    background-image: url(../images/photo_2025-05-03_15-41-32_11zon.webp);
  }

  .cii-13{
    background-image: url(../images/photo_2025-05-03_15-41-44_11zon.webp);
  }
  .cii-23{
    background-image: url(../images/photo_2025-05-03_15-41-4_11zon.webp);
  }
  .cii-33{
    background-image: url(../images/photo_2025-05-03_15-41-45_11zon.webp);
  }

  .how__img-7{
    width: 200%;
    background-image: url(../images/freepik__expand__7313_11zon.webp);
  }

  .hero__villa-content{
    display: flex;
    flex-direction: column;
    gap: 50px;
    padding-top: 30px;
  }

  .villa__fl{
    display: flex;
    align-items: stretch;
    gap: 32px;
    width: 100%;
    justify-content: space-between;
  }

  .villa__top{
    height: 580px;
  }

  .villa__top-item{
    background-color: #fff;
    border-radius: 40px;
    background-size: cover;
    background-position: center;
    height: 100%;
  }

  .wide{
    width: 70%;
  }

  .villa__top-col{
    display: flex;
    flex-direction: column;
    gap: 32px;
  }

  .villa__bottom-item{
    display: flex;  
    flex-direction: column;
  }

  .line{
    height: 1px;
    background-color: var(--main-color);
  }
  .vbi-left, .vbi-right{
    gap: 20px;
  }
  .adress{
    display: flex;
    gap: 10px;
    align-items: center;
    font-size: 14px;
    line-height: 20px;
    font-weight: 700;
  }

  .main-villa{
    padding-bottom: 0;
  }

  .main-villa .container {
    padding-bottom: 0;
  }

  .about__villa-container{
    display: flex;
    gap: 100px;
    align-items: stretch;
    justify-content: space-between;
  }

  .about__villa-item:first-of-type{
    width: 60%;
  }

  .about__villa-item:nth-of-type(2){
    width: 40%;
  }

  .about__villa-item{
    display: flex;
    flex-direction: column;
    gap: 32px;
  }
  .about__villa-paragraph{
    display: flex;  
    flex-direction: column;
    gap: 10px;
  }

  .about__villa-image{
    height: 100%;
    width: 100%;
    background-color: #fff;
    border-radius: 40px;
    background-size: cover;
    background-position: center;
  }

  .list{
    gap: 5px;
    list-style: disc;
  }

  .grid__floors{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
  }

  .large-left{
    grid-column: 1/3;
  }

  .large-right{
    grid-column: 3/5;
  }

  .grid__floors-image{
    background-color: #fff;
    min-height: 300px;
    background-size: cover;
    background-position: center;
  }

  .grid__floors-item{
    padding: 30px;
    display: flex;
    flex-direction: column;
    gap: 50px;
    justify-content: space-between;
  }

  .grid__floors-item .paragraph{
    font-size: 16px;
    line-height: 28px;
  }

  .grid__floors-top{
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  
  .grid__floors-item span{
    opacity: 60%;
    font-size: 20px;
  }

  .right-border{
    border-top: 1px solid var(--main-color);
    border-right: 1px solid var(--main-color);
  }

  .left-border{
    border-bottom: 1px solid var(--main-color);
    border-left: 1px solid var(--main-color);
  }

  .video{
    width: 100%;
    height: auto;
    overflow: hidden;
    border-radius: 20px;
    background-size: cover;
    background-position: center;
    background-image: url(../images/95809.webp);
  }

  .video-section{
    position: relative;
  }

  .krest{
    position: absolute;
    z-index: -22;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }

  .k-line{
    position: absolute;
    width: 1px;
    height: 100%;
    background-color: var(--main-color);
    
  }

  .kl-left{
    bottom: 0;
    right: 5%;
    transform: rotateZ(45deg);
  }

  .kl-right{
    bottom: 0;
    left: 5%;
    transform: rotateZ(-45deg);
  }

  .rev-kl-left{
    bottom: 0;
    right: 5%;
    transform: rotateZ(-45deg);
  }

  .rev-kl-right{
    bottom: 0;
    left: 5%;
    transform: rotateZ(45deg);
  }

  .floor__col{
    display: flex;
    flex-direction: column;
    gap: 32px;
  }

  .floor__row{
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: stretch;
  }

  .floor__plan{
    height: 560px;
    background-size: contain;
    background-position: center;
    background-color: #fff;
    background-repeat: no-repeat;
  }

  .floor__jcsb{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  .floor__jcsb span{
    opacity: 60%;
  }

  .gallerySwiper {
    width: 100%;
    height: 730px;
    margin-left: auto;
    margin-right: auto;
  }

  .gallerySwiper .swiper-slide {
    text-align: center;
    font-size: 18px;
    background-size: cover;
    background-position: center;
    height: calc((100% - 30px) / 2) !important;
    /* Center slide text vertically */
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
  }

  .contact__wrapper{
    display: flex;
    align-items: stretch;
    width: 100%;
    justify-content: space-between;
    gap: 32px;
  }

  .contact__wrapper>*{
    flex: 1;
  }

  .contact__col{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 32px;
  }

  .contact__col-col{
    display: flex;
    flex-direction: column;
    gap: 32px;
  }

  .vti-1{
    background-image: url(../images/freepik__enhance__10986_11zon_11zon.webp);
  }

  .avi-1{
    background-image: url(../images/freepik__enhance__10987_11zon_11zon.webp);
  }

  .avi-2{
    background-image: url(../images/freepik__adjust__13297_11zon.webp);
  }
  
  .vti-2{
    background-image: url(../images/freepik__enhance__10988_11zon.webp);
  }

  .vti-3{
    background-image: url(../images/freepik__enhance__10989_11zon.webp);
  }

  .gfi-1{
    background-image: url(../images/freepik__enhance__10990_11zon.webp);
  }

  .gfi-2{
    background-image: url(../images/freepik__enhance__10991_11zon_11zon.webp);
  }

  .floor-1{
    background-image: url(../images/1st_floor_plan_11zon.jpeg);
  }
  .floor-2{
    background-image: url(../images/freepik__adjust__10992_11zon.webp);
  }
  .floor-3{
    background-image: url(../images/freepik__adjust__10993_11zon.webp);
  }
  .floor-4{
    background-size: cover;
    background-image: url(../images/20200824_150029-02.webp);
  }

  .visible{
    display: flex !important;
    opacity: 100% !important;
}
.modal-img-props{
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    height: 90vh;
    width: 90%;
}
.modal-img-wrap{
    display: none;
    opacity: 0;
    position: fixed;
    background: #000000bb;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 2000;
    align-items: center;
    justify-content: center;
}

.gallery-item:hover{
  cursor: pointer;
}

.swiper-wrapper .gallery-item{
  background-size: cover;
  background-position: center;
}
.floor__1-1{
  background-image: url(../images/20200823_160723-01.webp);
}
.floor__1-2{
  background-image: url(../images/20200823_160742-01.webp);
}
.floor__1-3{
  background-image: url(../images/20200823_160933-01.webp);
}
.floor__1-4{
  background-image: url(../images/20200823_161119-01.webp);
}
.floor__1-5{
  background-image: url(../images/20200823_162112-01.webp);
}
.floor__1-6{
  background-image: url(../images/20200823_162444-01.webp);
}
.floor__1-7{
  background-image: url(../images/20200823_162751-01.webp);
}
.floor__1-8{
  background-image: url(../images/20200823_163821-01.webp);
}
.floor__1-9{
  background-image: url(../images/20200823_164148-01.webp);
}
.floor__1-10{
  background-image: url(../images/20200823_164525-01.webp);
}
.floor__1-11{
  background-image: url(../images/20200823_165434-01.webp);
}
.floor__1-12{
  background-image: url(../images/20200823_165517-01.webp);
}
.floor__1-13{
  background-image: url(../images/20200823_165526-01.webp);
}
.floor__1-14{
  background-image: url(../images/20200823_170156-01.webp);
}
.floor__1-15{
  background-image: url(../images/20200823_170428-01.webp);
}
.floor__1-16{
  background-image: url(../images/20200823_171022-01.webp);
}


.floor__2-2{
  background-image: url(../images/20200824_115601-01.webp);
}
.floor__2-3{
  background-image: url(../images/20200823_223928-01.webp);
}
.floor__2-4{
  background-image: url(../images/20200823_223953-01.webp);
}
.floor__2-5{
  background-image: url(../images/20200824_115642-01.webp);
}
.floor__2-6{
  background-image: url(../images/20200824_120045-02.webp);
}
.floor__2-7{
  background-image: url(../images/20200824_120642-01.webp);
}
.floor__2-8{
  background-image: url(../images/20200824_120732-02.webp);
}
.floor__2-10{
  background-image: url(../images/20200824_101618-02.webp);
}
.floor__2-11{
  background-image: url(../images/20200824_114456-01.webp);
}
.floor__2-12{
  background-image: url(../images/20200824_114517-02.webp);
}
.floor__2-13{
  background-image: url(../images/20200824_114546-01.webp);
}
.floor__2-14{
  background-image: url(../images/20200824_114624-01.webp);
}
.floor__2-15{
  background-image: url(../images/20200824_114644-01.webp);
}
.floor__2-16{
  background-image: url(../images/20200824_114807-01.webp);
}


.floor__3-1{
  background-image: url(../images/20200823_221628-01.webp);
}
.floor__3-2{
  background-image: url(../images/20200823_221956-01.webp);
}
.floor__3-3{
  background-image: url(../images/20200823_225510-01.webp);
}
.floor__3-4{
  background-image: url(../images/20200823_234430-01.webp);
}
.floor__3-5{
  background-image: url(../images/20200823_234511-01.webp);
}
.floor__3-6{
  background-image: url(../images/20200823_234527.webp);
}
.floor__3-7{
  background-image: url(../images/20200824_095552-01.webp);
}
.floor__3-8{
  background-image: url(../images/20200824_110714-01.webp);
}


.floor__4-1{
  background-image: url(../images/20200824_145658-01.webp);
}
.floor__4-2{
  background-image: url(../images/20200824_145748-01.webp);
}
.floor__4-3{
  background-image: url(../images/20200824_145918-01.webp);
}
.floor__4-4{
  background-image: url(../images/20200824_145944-011.webp);
}
.floor__4-5{
  background-image: url(../images/20200824_150002-01.webp);
}
.floor__4-6{
  background-image: url(../images/20200824_150111-02.webp);
}
.floor__4-7{
  background-image: url(../images/20200824_150416-01.webp);
}
.floor__4-8{
  background-image: url(../images/20200824_150436-01.webp);
}
.floor__4-9{
  background-image: url(../images/20200824_150844-01.webp);
}
.floor__4-10{
  background-image: url(../images/20200824_151038-01.webp);
}

  @media (max-width: 1480px){
    .container{
      width: 95%;
    }
    .w-small{
    width: 35%;
}

.w-wide{
    width: 65%;
}
    .desc{
      display: block;
    }
    .mob{
      display: none;
    }
    .about__content{
      flex-direction: column;
    }
    .how__container{
      width: 100%;
      grid-template-columns: repeat(2, 50%);
      gap: 10px;
    }
    .how__container-img{
      height: 200px;
    }
    .how__container-item, .how__container-img{
      width: 100%;
    }
    .how__container-item{
      padding: 40px 20px;
    }
  }

  @media (max-width: 1280px) {
    .box{
      flex-direction: column;
      gap: 20px;
    }
  
    .box__item{
      gap: 20px;
    }
    .page{
      padding-bottom: 40px;
      gap: 60px;
    }
    .sub__container{
      gap: 30px;
    }
    .footer__bottom{
      flex-direction: column-reverse;
      gap: 30px;
      align-items: left;
    }
    .step{
      flex-direction: column;
      gap: 10px;
    }
    .step__left>.h2:nth-of-type(2){
      display: none;
    }
    .step__right{
      width: 100%;
    }
    .container{
      width: 100%;
      padding: 0 20px;
      margin: 0 auto;
    }
    .how__container{
      width: 100%;
      grid-template-columns: 1fr;
      gap: 20px;
    }
    .offer__container{
      gap: 20px;
    }
    .offer__item-img{
      height: 200px;
    }
    .offer__container-item{
      flex-direction: column;
      gap: 20px;
    }
    .hero__content-bottom{
      flex-direction: column-reverse;
      gap: 20px;
    }
    .hero .hero__content-bottom{
      flex-direction: column;
    }
    .w-small{
      width: 100% !important;
      gap: 20px;
    }
    .w-wide, .hero__title{
      width: 100% !important;
    }
    .hero{
      min-height: 560px;
    }
    .hero__villa-page{
      min-height: auto;
    }
    .h1{
      font-size: 24px;
      line-height: 30px;
    }
    .h2{
      font-size: 20px;
      line-height: 28px;
    }
    .hero__content>.container{
      gap: 20px;
      padding-bottom: 0px;
    }
    .header__logo>a{
      font-size: 20px;
      line-height: 25px;
      gap: 10px;
    }
    .header__logo>a>img{
      width: 40px;
    }
    .btn{
      padding: 10px 20px;
      font-size: 14px;
    }
    .paragraph{
      font-size: 16px;
      line-height: 32px;
    }    
    .hero__arrow{
      height: 70px;
    }
    .header>.container{
      padding:20px !important;
    }
    .offer__item-text{
      gap: 20px;
    }
    .house__full-img{
      min-height: 520px;
      padding: 20px;
    }
  }

  @media (max-width: 430px){
    .h-line{
      flex-direction: column;
      gap: 10px;
    }
    .about__content-item{
      gap: 20px;
    }
    .about__img{
      height: 400px;
    }
    .hero__arrow{
      left: 47%;
    }
  }

  .outlined-btn:hover{
    background: var(--text-color);
    color: var(--background-color);
  }

  .primary-btn:hover{
    background: var(--secondary-color);
  }

  .primary-btn:hover>.p__black{
    color: var(--main-color);
    font-weight: 500;
  }

  .primary-btn:hover>img{
    display: none;
  }

  .hero__arrow{
    animation-duration: 1s;
    animation-name: arrow;
    animation-iteration-count: infinite;
    animation-direction: alternate;
  }

  input[type="radio" i] {
    height: 10px;
    width: 10px;
  }

  .quiz{
    font-size: 20px;
    color: var(--main-color);
  }

  @keyframes arrow {
    from {
      transform: scale(0.9);
    }
  
    to {
      transform: scale(1);
    }
  }


  .modal-wrap{
    position: fixed;
    padding-top: 30px;
    top: 0;
    left: 0;
    width: 100%;  
    height: 100%;
    background: var(--background-color);
    z-index: 777;
    display: flex;
    justify-content: center;
    opacity: 100%;
    overflow-y: scroll;
  }

  .modal{
    background: var(--background-color);
    padding: 60px;
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 30px;
    border-radius: 40px;
    padding-bottom: 100px;
  }

  .modal .h2{
    text-align: center;
  }

  .form{
    display: flex;
    flex-direction: column;
    gap: 30px;
  }

  .input-wrapper{
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

  input{
    padding: 10px 20px;
    outline: none;
    font-size: 18px;
    border: 2px solid var(--secondary-color);
    border-radius: 20px;
    background: transparent;
    color: var(--text-color);
  }
  input:focus{
    border: 2px solid var(--main-color);
  }
  label{
    font-size: 14px;
  }

  .radio{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
  }

  .radio-wrapper{
    display: flex;
    align-items: center;
    gap: 10px;
  }

  button{
    outline: none;
    border: none;
  }
  .btns{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 32px;
    padding-bottom: 80px;
  }

  .close-btn{
    background: var(--secondary-color);
    color: var(--text-color);
    border: 1px solid transparent;
  }

  .close-btn:hover{
    background: transparent;
    border: 1px solid var(--secondary-color);
  }

  .send-btn{
    background: var(--main-color);
    color: var(--background-color);
  }

  .send-btn:hover{
    background: var(--secondary-color);
    color: var(--main-color);
  }

  .hidden{
    opacity: 0%;
    display: none;
  }

  .contact{
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 5;
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
    background: var(--secondary-color);
  }

  .contact:hover{
    background: var(--main-color);
  }

  .contact>img{
    display: block;
    width: 30px;
  }

  .header__btn{
    display: flex;
    align-items: center;
    gap: 30px;
  }
  .lang{
    display: flex;
    align-items: center;
    gap: 20px;
    cursor: pointer;
    position: relative;
  }
  .lang>span{
    transform: rotateZ(90deg);
    font-size: 20px;
    font-weight: 600;
  }
  .lang:hover{
    color: var(--main-color);
  }

  .lang-choice{
    display: flex;
    flex-direction: column;
    gap: 10px;
    position: absolute;
    bottom: -80px;
    left: 0; 
    background: var(--secondary-color);
    border-radius: 10px;
    width: 100%;
    align-items: center;
    padding: 10px;
  }

  .lang-item:hover{
    color: var(--main-color);
  }

  .hero-full{
    height: 100vh;
  }

  .hero__btn{
    display: flex;
    flex-direction: column;
    border-radius: 40px;
    padding: 30px 20px;
    background: #00000065;
    gap: 10px;
  }

  .hero__btn-img{
    border-radius: 20px;
    background-image: url(../images/freepik__-__13296_11zon.webp);
    height: 250px;
    width: 100%;
    background-size: cover;
    background-position: center;
  }

  .hero__btn-text{
    font-size: 16px;
    font-weight: 700;
  }

  .about__company-container{
    display: flex;
    flex-direction: column;
    gap: 30px;
  }

  .grid__about-company{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
  }

  .ac__grid-item{
    background-color: var(--secondary-color);
    border-radius: 40px;
    overflow: hidden;
  }

  .ac__item-contain{
    padding: 30px;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }

  .num-container{
    display: flex;
    justify-content: end;
  }

  .num{
    width: 64px;
    height: 64px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
    font-size: 20px;
    font-weight: 700;
    color: var(--secondary-color);
    background-color: var(--text-color);
  }

  .map{
  height: 100%;
  flex-shrink: 0;
  border-radius: 40px;
  overflow: hidden;
}

.service__img{
  height: 400px;
  width: 100%;
  border-radius: 40px;
  background-color: #fff;
  background-size: cover;
  background-position: center;
  flex-shrink: 0;
}

.perspective__wrapper{
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 32px;
}

.pers__wrapper-item{
  height: 400px;
  border-radius: 40px;
  padding: 40px;
  position: relative;
  display: flex;
  align-items: end;
  overflow: hidden;
  background-size: cover;
  background-position: center;
}

.pers__wrapper-img{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: block;
  z-index: 0;
  background-size: cover;
  background-position: center;
}

.pers__wrapper-item .paragraph{
  z-index: 4;
}

.pw__wide-left{
  grid-column: 1 / 3;
}

.pw__wide-right{
  grid-column: 2 / 4;
}

.dark-btn{
  background: #0000005d;
  z-index: 4;
  position: absolute;
  top: 40px;
  right: 40px;
}

.dark-btn img{
  display: block;
  transform: rotateZ(180deg);
}

.pers__wrapper-item:hover .dark-btn{
  background: var(--background-color);
}

.pers__wrapper-item:hover .pers__wrapper-img{
  transform: scale(1.1);
}

.cii_1{
  background-image: url(../images/freepik__adjust__13297_11zon.webp);
}

.cii_2{
  background-image: url(../images/freepik__adjust__13298_11zon.webp);
}

.cii_3{
  background-image: url(../images/freepik__-__61817_11zon.webp);
}

.cii_4{
  background-image: url(../images/freepik__-__13296_11zon.webp);
}

.pwi_1{
  background-image: url(../images/freepik__candid-photography-with-natural-textures-and-highl__87785_11zon.webp);
}

.pwi_2{
  background-image: url(../images/freepik__enhance__61818.jpeg);
}

.pwi_3{
  background-image: url(../images/freepik__the-style-is-candid-image-photography-with-natural__87790_11zon.webp);
}

.pwi_4{
  background-image: url(../images/freepik__candid-photography-with-natural-textures-and-highl__87786_11zon.webp);
}

.pwi_5{
  background-image: url(../images/freepik__the-style-is-candid-image-photography-with-natural__61819_11zon.webp);
}

.pwi_6{
  background-image: url(../images/freepik__-__13300_11zon.webp);
}

.pwi_7{
  background-image: url(../images/freepik__enhance__13301_11zon.webp);
  background-position: 90%;
}

.img-ac{
  background-size: cover;
  background-position: center;
  background-image: url(../images/freepik__candid-photography-with-natural-textures-and-highl__61820_11zon.webp);
}

.si-1{
  background-image: url(../images/freepik__candid-photography-with-natural-textures-and-highl__61823_11zon.webp);
}

.si-2{
  background-image: url(../images/freepik__adjust__7321_11zon.webp);
  background-position: 90% 50%;
}

.si-3{
  background-image: url(../images/freepik__expand__7383_11zon.webp);
}

.si-4{
  background-image: url(../images/freepik__expand__7314_11zon.webp);
}

.si-5{
  background-image: url(../images/freepik__the-style-is-candid-image-photography-with-natural__87791_11zon.webp);
}

.footer__container{
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.footer__top{
  border-bottom: 1px solid var(--main-color);
  padding-bottom: 30px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer__top-links{
  display: flex;
  align-items: center;
  gap: 30px;
}

.footer__link{
  opacity: 60%;
  font-size: 16px;
  font-weight: 600;
}

.footer__bottom{
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 32px;
}

.footer__bottom-col{
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.footer__bottom-links{
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.social__link{
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer__link:hover{
  color: var(--main-color);
}

.swiper-button-next, .swiper-button-prev, .swiper-pagination{
  position: static !important;
  margin: 0 !important;
  width: auto !important;
  height: auto !important;
  }

  .swiper-button-next::after, .swiper-button-prev::after{
    content: '' !important;
  }

    .prev{
    transform: rotateZ(180deg);
  }

    .swiper-pg{
    display: flex;
    align-items: center;
    gap: 32px;
  }

  .headline{
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-align: left;
  }

  .swiper-pagination{
    flex-shrink: 0;
  }

  .hero__content-all{
    display: flex;
    flex-direction: column;
    gap: 32px;
  }

  .hero__blocks{
    display: flex;
    align-items: stretch;
    width: 100%;
    gap: 32px;
    flex-direction: row;
  }

  .hero__block{
    /* background: #ffffff0e; */
    width: 100%;
    padding: 30px;
    border-radius: 20px;
    outline: 1px solid #ffffff1a;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }

  .hero__block-top{
    font-size: 20px;
    font-weight: 700;
  }

  .ac__item-contain .paragraph{
    font-size: 16px;
    line-height: 32px;
  }

  .bb{
    border-bottom: 1px solid var(--main-color);
  }

  .grid__floors-top{
    gap: 20px;
  }

  .cii_1-modul{
    background-image: url(../images/1-01.webp);
  }

  .cii_2-modul{
    background-image: url(../images/2-01.webp);
  }

  .cii_3-modul{
    background-image: url(../images/3-011.webp);
  }

  .floor__mod-1{
    background-image: url(../images/photo_2024-03-24_20-04-08.jpg);
  }

  .floor__mod-2{
    background-image: url(../images/photo_2024-03-24_20-04-082.jpg);
  }

    .floor__mod-3{
    background-image: url(../images/photo_2024-03-24_20-04-10.jpg);
  }

  .floor__mod-4{
    background-image: url(../images/photo_2024-03-24_20-04-09.jpg);
  }

  .floor__mod-5{
    background-image: url(../images/photo_2024-03-24_20-04-092.jpg);
  }

  .floor__mod-6{
    background-image: url(../images/photo_2024-03-24_22-22-38.jpg);
  }

  .floor__mod-7{
    background-image: url(../images/photo_2024-03-24_22-22-363.jpg);
  }

  .floor__mod-8{
    background-image: url(../images/photo_2024-03-24_22-22-372.jpg);
  }

  .floor__mod-9{
    background-image: url(../images/photo_2024-03-24_22-22-382.jpg);
  }

  .floor__mod-10{
    background-image: url(../images/IMG_1859-1.jpg);
  }

  .gfi-11{
    background-image: url(../images/freepik__-__92920_11zon.webp);
  }

    .gfi-21{
    background-image: url(../images/photo_2025-05-03_15-41-45_11zon.webp);
  }

    .gfi-31{
    background-image: url(../images/photo_2024-03-24_22-22-39.jpg);
  }


  .variant{
    display: flex;
    gap: 32px;
    align-items: center;
    padding-top: 30px;
  }

  .variant img{
    display: block;
    width: 60%;
  }

  .variant__blocks{
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

  .variant__block{
    border: 1px solid var(--main-color);
    padding: 30px;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }

  .varSwiper-prev{
    transform: rotateZ(180deg);
  }

  .sw-pg{
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 24px;
  }

  .varSwiper-prev, .varSwiper-next{
    background: var(--secondary-color);
    padding: 10px;
    border-radius: 40px;
    cursor: pointer;
  }

  .hero-construction{
    background-image: url(../images/freepik__candid-photography-with-natural-textures-and-highl__89836_11zon.webp);
  }

  .hero-construction .w-wide{
    width: 60%;
  }

  .hero-construction .w-small{
    width: 40%;
  }

  .desc-sm{
    display: none;
  }

  .res__grid{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    row-gap: 50px;
  }

  .res__grid-item{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 20px;
  }

  .res__grid-item .paragraph{
    padding: 0 20px;
  }

  .item__divider{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
  }

  .item__divider-line{
    width: 100%;
    height: 1px;
    background: var(--main-color);
  }

  .item__divider-square{
    height: 20px;
    width: 20px;
    background: var(--main-color);
    margin-top: -10px;
    transform: rotateZ(45deg);
  }

  .ia-1{
    background-image: url(../images/freepik__candid-photography-with-natural-textures-and-highl__89833_11zon.webp);
  }

  .ia-2{
    background-image: url(../images/freepik__the-style-is-candid-image-photography-with-natural__89837_11zon.webp);
  }

  .cii_11{
    background-image: url(../images/freepik__enhance__89838_11zon.webp);
  }

  .cii_12{
    background-image: url(../images/freepik__enhance__89839_11zon.webp);
  }

  .cii_13{
    background-image: url(../images/freepik__enhance__89840_11zon.webp);
  }

  .offer__contain{
    display: flex;
    gap: 100px;
    justify-content: space-between;
    align-items: center;
  }

  .offer__contain>*{
    width: 100%;
  }

  .offer__image{
    background: var(--secondary-color);
    border-radius: 40px;
    overflow: hidden;
    height: 470px;
    background-size: cover;
    background-position: center;
  }

  .offer__points{
    display: flex;
    flex-direction: column;
    gap: 10px;
  }

  .offer__point{
    padding: 10px 0;
    border-bottom: 1px solid var(--text-color);
  }

  .oi-1{
    background-image: url(../images/freepik__enhance__89832_11zon_11zon.webp);
  }

  .offer__wrapper{
    display: flex;
    flex-direction: column;
    gap: 50px;
  }

  .cookies__container{
    position: fixed;
    z-index: 10000;
    display: flex;
    align-items: end;
    justify-content: end;
    bottom: 40px;
    right: 40px;
    width: 40%;
  }

  .cookies{
    background: var(--secondary-color);
    padding: 40px;
    border-radius: 40px;
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

  .cookies__btns{
    display: flex;
    align-items: center;
    gap: 20px;
  }

  .cookies__btns a{
    text-decoration: underline;
  }
  
  .vti-4{
    background-image: url(../images/freepik__-__61817_11zon.webp);
  }

  .vti-5{
    background-image: url(../images/freepik__-__61817_11zon.webp);
  }

  .vti-6{
    background-image: url(../images/freepik__-__61817_11zon.webp);
  }
  
@media (max-width: 1440px) {
  .grid__floors{
    grid-template-columns: repeat(2, 1fr);
  }

  .grid__floors .mob-sm {
    display: none;
  }

  .grid__floors-item{
    border: 1px solid var(--main-color);
  }
}

@media (max-width: 1024px){
  .offer__contain{
    gap: 32px;
  }
  .res__grid{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap: 50px;
  }
  .footer__bottom{
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 32px;
}
  .dark-btn{
    top: 20px;
    right: 20px;
  }
  .pers__wrapper-item{
  height: 300px;
  border-radius: 40px;
  padding: 20px;
}
  .perspective__wrapper{
    display: grid;
    grid-template-columns: 1fr;
    gap: 10px;
  }
  .pw__wide-left{
   grid-column: auto;
}

.pw__wide-right{
  grid-column: auto;
}
  }

  @media (max-width: 770px){   

  .offer__contain{
    flex-direction: column;
    gap: 30px;
  }

  .offer__image{
    width: 100%;
    height: 340px;
  }
    .res__grid{
    display: grid;
    grid-template-columns: 1fr;
    row-gap: 30px;
  }
    .variant{
      flex-direction: column;
    }

    .variant>*{
      width: 100%;
    }

    .variant img{
      width: 100%;
    }

    .hero__block-top{
      font-size: 18px;
    }

  .hero__blocks{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: 100%;
    gap: 20px;
  }

  .hero__block{
    background: #ffffff0e;
    width: 100%;
    padding: 20px;
    border-radius: 20px;
    outline: 1px solid #ffffff1a;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }
    .desc-sm {
      display: flex;
    } 
    .mob-sm {
      display: none !important;
    }
    .wide, small{
      width: 100%;
      flex-shrink: 0;
    }
    .villa__top{
      height: 300px;
    }
    .villa__fl{
      flex-direction: column;
      align-items: center;
    }
    .about__villa-container{
      flex-direction: column;
      gap: 32px;
    }
    .about__villa-item:first-of-type, .about__villa-item:nth-of-type(2){
      width: 100%;
    }
    .about__villa-image{
      height: 300px;
    }
    .grid__floors{
      grid-template-columns: 1fr;
      gap: 10px;
    }
    .large-left, .large-right{
      grid-column: auto;
    }
    .grid__floors-item{
      border: 1px solid var(--main-color);
    }
    .video{
      border-radius: 0;
    }
    .floor__row{
      flex-direction: column;
      gap: 20px;
    }
    .floor__jcsb{
      flex-direction: row;
      align-items: center;
      justify-content: space-between;
      width: 100%;
    }
    .floor__plan{
      height: 300px;
    }
    .contact__wrapper{
      flex-direction: column;
    }
    .villa__bottom-item{
      width: 100%;
    }
        .swiper-pg{
      width: 100%;
      justify-content: space-between;
    }
    .headline{
      flex-direction: column;
      gap: 20px;
    }

    .headline .h1{
      width: 100%;
    }
    .num{
      width: 50px;
      height: 50px;
    }
    .footer__top{
      flex-direction: column;
      align-items: start;
      gap: 20px;
    }
      .footer__bottom{
  display: grid;
  grid-template-columns: 1fr;
  gap: 32px;
}
    .service__img{
      height: 300px;
    }
    .grid__about-company{
      grid-template-columns: 1fr;
      gap: 20px;
    }

    .map, .grid__about-company .img-ac{
      height: 300px;
    }

    .quiz{
      font-size: 18px;
    }
  
    .modal{
      background: var(--background-color);
      padding: 0;
      width: 90%;
      display: flex;
      flex-direction: column;
      gap: 20px;
      border-radius: 40px;
    }
    input{
      font-size: 16px;
    }
    .btns{
      gap: 20px;
    }
    .btns>*{
      width: 100%;
    }
    .radio{
      grid-template-columns: 1fr;
    }
  }